Bug 342761 - multiarch conflicts in ogdi
multiarch conflicts in ogdi
Product: Fedora
Classification: Fedora
Component: ogdi (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-19 17:52 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-12 04:17:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:52:38 EDT
ogdi (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/ogdi-config from install of ogdi-devel-3.2.0-0.5.beta1.fc7 conflicts with file from package ogdi-devel-3.2.0-0.5.beta1.fc7

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Balint Cristian 2008-01-04 15:54:28 EST
Me Balint Cristian as former redhat employee, would like to please to grant for
my Balint Cristian <rezso@rdsor.ro> access from a non RH account:

My account looks like this (i pass CLA and so on):
cvsextras 	rezso 		user 	unapproved 	None
fedorabugs 	rezso 		user 	unapproved 	Unneeded

I guess i need new sponsorshisp since i cannot access cbalint@redhat.com
anymore for obvious reason, so I have to use non RH account for future.
Comment 2 Balint Cristian 2008-01-04 18:01:43 EST
Package Change Request
Package Name: gdal
Owners: rezso@rdsor.ro
Comment 3 Dennis Gilmore 2008-01-05 13:44:54 EST
need fas account names not email addresses
Comment 4 Balint Cristian 2008-01-05 14:26:10 EST
Package Change Request
Package Name: gdal
Owners: rezso
Comment 5 Kevin Fenzi 2008-01-05 16:51:19 EST
Did you mean odgi as the package name here?
Comment 6 Balint Cristian 2008-01-05 18:31:44 EST
Package Change Request
Package Name: ogdi
Owners: rezso
Comment 7 Kevin Fenzi 2008-01-06 12:24:37 EST
This seems to be done via the pkgdb web interface. 
Feel free to reset if you need further cvs admin action.
Comment 8 Balint Cristian 2008-01-06 17:50:39 EST
Thanks Tommy, proceeding with bz# fix now.
Comment 9 Balint Cristian 2008-01-08 22:05:44 EST

Bill, can please close it for me ? I am not anymore cbalint@redhat.com,
i can't colse.

+# we have multilib ogdi-config
+%if "%{_lib}" == "lib"
+%define cpuarch 32
+%define cpuarch 64
+# fix file(s) for multilib issue
+touch -r ogdi-config.in ogdi-config
 # install pkgconfig file and ogdi-config
 mkdir -p %{buildroot}%{_libdir}/pkgconfig
 install -p -m 644 ogdi.pc %{buildroot}%{_libdir}/pkgconfig/
-install -p -m 755 ogdi-config %{buildroot}%{_bindir}
+install -p -m 755 ogdi-config %{buildroot}%{_bindir}/ogdi-config-%{cpuarch}

Note You need to log in before you can comment on or make changes to this bug.